Skip to main content
GET
/
v3
/
settlement
/
{id}
/
transactions
/
payin
Fetch Payins
curl --request GET \
  --url https://service-sandbox.tazapay.com/v3/settlement/{id}/transactions/payin \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": "success",
  "message": "",
  "data": {
    "has_more": false,
    "object": "list",
    "results": [
      {
        "balance_transaction_id": "btr_d013fgtin2debfvbjv1g",
        "id": "pat_d013felin2debfvbjus0"
      },
      {
        "balance_transaction_id": "btr_d013h95in2debfvbjvkg",
        "id": "pat_d013h6lin2debfvbjvf0"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

ID of the settlement object you want to fetch the list of payins for

Query Parameters

ending_before
string

A cursor for use in pagination. Takes a payin ID as input

starting_after
string

A cursor for use in pagination. Takes a payin ID as input

limit
integer<int32>

The number of objects to be fetched. By default 10; can be from 1 to 100

Response

200 - application/json

200

status
string
message
string
data
object